Author Topic: Old OXCE discussion thread  (Read 333081 times)

Offline Meridian

  • Global Moderator
  • Commander
  • ***
  • Posts: 6533
  • OXCE developer
    • View Profile
    • My Wiki
Re: [EXE] OpenXcom Extended
« Reply #705 on: February 02, 2016, 01:04:09 am »
I have working (at least I think I have) version at https://www.openxcom.com/mod/openxcom-extended for ubuntu (2.5b is current xpirates).
If it not work in debian then you can grab commit id from readme and compile it yourself. It will lack features from Meridian build but should work (save & load).
If it still not work then its my fault and I probably need fix it fast :)

PirateZ was able to run with both OXCE and OXCE+ until recently... all my features were optional/nice to have.
Now there is one feature, which is required for PirateZ, which is currently only in OXCE+.
It's this commit (default slot for fixed items): https://github.com/MeridianOXC/OpenXcom/commit/af62ed3fda130df2db7894677df5c52682cc6a2d
Maybe you should cherry-pick it into OXCE, so that PirateZ will still work under OXCE.

Online Yankes

  • Moderator
  • Commander
  • ***
  • Posts: 2374
    • View Profile
Re: [EXE] OpenXcom Extended
« Reply #706 on: February 02, 2016, 01:29:14 am »
Right, I forget about this change, but game should still work, not as intended but not crash.
I will need spend some time cherry-pick cherries from your branch :)

Offline yrizoud

  • Commander
  • *****
  • Posts: 1018
    • View Profile
Re: [EXE] OpenXcom Extended
« Reply #707 on: February 04, 2016, 09:48:21 pm »
Just wanted to report a funny experiment that I just did : A torch for Piratez, replacing the electro-flare. It's a light source that you can toss around, and you can club people with it and set them on fire. Partytime!

Item battleType needs to be 10 to make it project light source. The "power" stat determines light distance, as far as I know (didn't try something different from a vanilla flare)
Then I copied the #Bayonet segment section from a rifle
Code: [Select]
#Bayonet segment
    meleeHitSound: 75
    meleeAnimation: 4
    meleeType: 2 # Was 7 (melee damage), 2 is fire damage
    meleePower: 30
    meleeBonus:
      strength: 0.4
      melee: 0.1
    accuracyMelee: 110
    meleeMultiplier:
      flatHundred: 0.5
      melee: 0.5
    costMelee:
      time: 14
      energy: 8
    flatMelee:
      time: true
#segment end
Fire naturally bypasses armor, and has a chance to inflict fatal wounds and flaming status.
(edit: I wanted to share here because only OXCE makes it possible)
« Last Edit: February 04, 2016, 11:22:43 pm by yrizoud »

Online Yankes

  • Moderator
  • Commander
  • ***
  • Posts: 2374
    • View Profile
Re: [EXE] OpenXcom Extended
« Reply #708 on: February 05, 2016, 01:13:23 am »
I think its very smart concept of item.

Offline Aldi

  • Squaddie
  • *
  • Posts: 6
    • View Profile
Re: [EXE] OpenXcom Extended
« Reply #709 on: February 17, 2016, 05:26:55 pm »
Hi all,

I'm new here so if this is wrong topic please forgive me.

Im using Ubuntu Mate 15.10. When im trying to install libsdl-gfx1.2-4 and libyaml-cpp0.5 apt-get can't  find them.
How can i overcome this problem? Do i need to add some repository?

Online Yankes

  • Moderator
  • Commander
  • ***
  • Posts: 2374
    • View Profile
Re: [EXE] OpenXcom Extended
« Reply #710 on: February 17, 2016, 07:30:49 pm »
Code: [Select]
sudo apt-get install libyaml-cpp0.5This command don't work? It work in 14.04 LTS. Do you have other yaml-cpp libs available? You can test is easy typing:
Code: [Select]
apt-get install libyamland not pressing enter but tab. Then it will list all available options for you.
It is possible that you don't have exactly same versions but newer ones.

Offline R1dO

  • Colonel
  • ****
  • Posts: 308
    • View Profile
Re: [EXE] OpenXcom Extended
« Reply #711 on: February 17, 2016, 08:02:48 pm »
He's using 15.10. The official channels for that version only provide yaml-cpp version 0.5.2  (and a older version like 0.3 if i remember correct).

I don't know if extended has the same problems with that version, but it could easily mean he/she has to resort to either a PPA or a manual build of yaml-cpp.

Offline Aldi

  • Squaddie
  • *
  • Posts: 6
    • View Profile
Re: [EXE] OpenXcom Extended
« Reply #712 on: February 17, 2016, 08:10:25 pm »
ok, now i have libyaml-cpp0.5v5, libsdl-gfx1.2-5 and  OpenXcomEx from mod portal and when i try to run it i get

OpenXcomEx: error while loading shared libraries: libSDL_gfx.so.13: cannot open shared object file: No such file or directory

btw. does OpenXcomEx also supports optons -user/data/config? because when i try to run it with -h , --help or -? i get same error.


Online Yankes

  • Moderator
  • Commander
  • ***
  • Posts: 2374
    • View Profile
Re: [EXE] OpenXcom Extended
« Reply #713 on: February 17, 2016, 08:22:24 pm »
This error mean that binary need older version of library. Probably best way to avoid this is compile binary yourself.
This will need bit more work (around 4-6 bash commands) but will allow grab other version too (like Meridian version of OXCE).
I can guide you Aldi if you want with this.

Offline Aldi

  • Squaddie
  • *
  • Posts: 6
    • View Profile
Re: [EXE] OpenXcom Extended
« Reply #714 on: February 17, 2016, 10:44:14 pm »
I built binary and it works now. I had also a little bit confusion with setting up xpiratz but all is up and running now.
Many thanks for advice.

Online Yankes

  • Moderator
  • Commander
  • ***
  • Posts: 2374
    • View Profile
Re: [EXE] OpenXcom Extended
« Reply #715 on: February 17, 2016, 11:07:40 pm »
Did you use Meridian branch for xpiratz? He adds some gameplay features needed by Dioxine mod (like removing some inventory slots in armores). I do not add them jet to my branch (they will be available in next release).

Offline Aldi

  • Squaddie
  • *
  • Posts: 6
    • View Profile
Re: [EXE] OpenXcom Extended
« Reply #716 on: February 18, 2016, 12:20:55 am »
Thanks for info, i'm switching to his branch then.

Another problem occurred..

Now I have two clones OpenXcomExtendedMeridan and  OpenXcomExtendedYankes, both set to master and newest XPiratez (0.97D)
I built binary for both. I lunch it with -user and -data pointing to same directories.
On Yankes's repo there is no right hand slot on solider view, so I can arm pirate only in one weapon in left hand, but this weapon works.
On Meridan's repo game saving is not working but pirates have both hands, but meal weapon doesn't work it can only be thrown.

Should I checkout some tag not just master to make it works? or use Yankes's repo with older XPiratez version?
« Last Edit: February 18, 2016, 02:35:58 am by Aldi »

Offline Aldi

  • Squaddie
  • *
  • Posts: 6
    • View Profile
Re: [EXE] OpenXcom Extended
« Reply #717 on: February 18, 2016, 12:18:12 pm »
I guess most of my problems is ymal-cpp version. I can built it from https://github.com/jbeder/yaml-cpp but what tag should I use? release-0.5.0 or newer?

Offline Meridian

  • Global Moderator
  • Commander
  • ***
  • Posts: 6533
  • OXCE developer
    • View Profile
    • My Wiki
Re: [EXE] OpenXcom Extended
« Reply #718 on: February 18, 2016, 12:26:48 pm »
Another problem occurred..

On Meridan's repo game saving is not working but pirates have both hands, but meal weapon doesn't work it can only be thrown.

Should I checkout some tag not just master to make it works? or use Yankes's repo with older XPiratez version?

The master branch in my repo is just vanilla OpenXcom (a copy of SupSuper's repo).

For PirateZ, you need to use the 2.5b branch: https://github.com/MeridianOXC/OpenXcom/tree/oxce2.5b-plus-prototypes
More info here: https://openxcom.org/forum/index.php/topic,4187.0.html

Offline Dioxine

  • Commander
  • *****
  • Posts: 5224
  • punk not dead
    • View Profile
    • Nocturnal Productions
Re: [EXE] OpenXcom Extended
« Reply #719 on: February 18, 2016, 05:52:14 pm »
What you need to update to move from 2.5 to 2.9? I have all the files, and updated the STR_SOLDIER entry as well.